Must Hve Rated 5 out of 5 stars

One of my must have addons ,Please update for ff6 ...Thanks

This review is for a previous version of the add-on (1.6.5.1-signed).  This user has 3 previous reviews of this add-on.